%bcond_without tests

%define module requests-mock

Name:           python-%{module}
Version:        1.12.1
Release:        %mkrel 2
Summary:        A requests mocking tool for python
Group:          Development/Python
License:        ASL 2.0
URL:            https://requests-mock.readthedocs.io/
Source0:        https://pypi.io/packages/source/r/requests-mock/%{module}-%{version}.tar.gz

Patch1:         0003-Allow-skipping-purl-tests-if-it-is-not-present.patch

BuildArch:      noarch

%description
requests-mock provides a simple way to do HTTP mocking at the
python-requests layer.

%package -n python3-%{module}
Summary:        A requests mocking tool for python
Group:          Development/Python
%{?python_provide:%python_provide python3-%{module}}

# standard requirements needed for testing
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-requests
BuildRequires:  python3-six
BuildRequires:  python3-urllib3

BuildRequires:  python3-devel
BuildRequires:  python3-pbr
BuildRequires:  python3-setuptools

%if %{with tests}
BuildRequires:  python3-fixtures
BuildRequires:  python3-mock
BuildRequires:  python3-testtools
BuildRequires:  python3-pytest
%endif

%description -n python3-%{module}
requests-mock provides a simple way to do HTTP mocking at the
python-requests layer.


%prep
%autosetup -p1 -n %{module}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files requests_mock

%check
%if %{with tests}
%{__python3} -m testtools.run discover
# Disabling tests which requires installing futures and requests-futures modules, we don't have
#{__python3} -m pytest tests/pytest  -m "not threaded or sessions"
%endif

%files -n python3-%{module} -f %{pyproject_files}
%license LICENSE
%doc README.rst


%changelog
* Sun Mar 02 2025 wally <wally> 1.12.1-2.mga10
+ Revision: 2158710
- rebuild for python3.13

* Mon Apr 22 2024 daviddavid <daviddavid> 1.12.1-1.mga10
+ Revision: 2060502
- new version: 1.12.1

* Fri Feb 23 2024 daviddavid <daviddavid> 1.11.0-2.mga10
+ Revision: 2043666
- rebuild for py3.12

* Mon Oct 02 2023 daviddavid <daviddavid> 1.11.0-1.mga10
+ Revision: 1993100
- new version: 1.11.0

* Tue Sep 06 2022 papoteur <papoteur> 1.10.0-1.mga9
+ Revision: 1884594
- new 1.10.0

* Tue Mar 29 2022 umeabot <umeabot> 1.9.3-2.mga9
+ Revision: 1832176
- Mageia 9 Mass Rebuild

* Tue Feb 22 2022 mrambo3501 <mrambo3501> 1.9.3-1.mga9
+ Revision: 1782735
- version 1.9.3
- rebuild for python-3.10

* Sun Mar 21 2021 daviddavid <daviddavid> 1.8.0-2.mga9
+ Revision: 1706931
- rebuild for python 3.9

* Fri Jan 08 2021 daviddavid <daviddavid> 1.8.0-1.mga8
+ Revision: 1669739
- initial package python-requests-mock (needed for python-os-service-types)

